%define	name		gmime
%define version 2.2.10
%define release %mkrel 1

%define	major		2.0
%define libname		%mklibname %{name} %{major}

%define _gtkdocdir	%{_datadir}/gtk-doc/html
%{expand:%%define _aclocaldir %(aclocal --print-ac-dir 2>/dev/null)}

Summary:		The libGMIME library
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		LGPL
Group:			System/Libraries
Source0:		http://spruce.sourceforge.net/gmime/sources/v2.2/gmime-%{version}.tar.bz2
URL:			http://spruce.sourceforge.net/gmime/
Group:			System/Libraries
BuildRequires:		autoconf2.5
BuildRequires:		automake1.7
BuildRequires:		glib2-devel
BuildRequires:		gtk-doc
BuildRequires:		libz-devel
BuildRequires:		mono-devel
BuildRequires:		gtk-sharp2-devel gtk-sharp2
Buildroot:		%{_tmppath}/%{name}-%{version}

%description
This library allows you to manipulate MIME messages.

%package -n		%{name}-utils
Summary:		Utilities using the libGMIME library
Group:          	File tools
Requires:		%{libname} = %{version}

%description -n		%{name}-utils
This package contains gmime-uudecode and gmime-uuencode and will 
allow you to manipulate MIME messages. These utilities can also be
used instead of uudecode and uuencode from the sharutils package. 

%package -n		%{libname}
Summary:		The libGMIME library
Group:          	System/Libraries
Provides: lib%name = %version-%release

%description -n		%{libname}
This library allows you to manipulate MIME messages.

%package -n		%{libname}-devel
Summary:		Development library and header files for the lib%{name} library
Group:			Development/C
Provides:		lib%{name}-devel
Requires:		%{libname} = %{version}

%description -n		%{libname}-devel
This package contains the lib%{name} development library and its header files

%package sharp
Summary:		GMIME# bindings for mono
Group:			System/Libraries
Requires: %libname = %version

%description sharp
This library allows you to manipulate MIME messages.


%prep

%setup -q

%build
#libtoolize --copy --force; aclocal; autoconf; automake

%configure2_5x \
    --with-html-dir=%{_gtkdocdir} --enable-gtk-doc

#gw parallel build broken in 2.1.15
make || make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot} HTML_DIR=%{_gtkdocdir}

# these are provided by sharutils, gotta rename them...
mv %{buildroot}%{_bindir}/uudecode %{buildroot}%{_bindir}/gmime-uudecode
mv %{buildroot}%{_bindir}/uuencode %{buildroot}%{_bindir}/gmime-uuencode

# cleanup
rm -f %{buildroot}%{_libdir}/gmimeConf.sh

#multiarch 
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/gmime-config

%check
make check

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -n %{name}-utils
%defattr(-,root,root)
%doc README
%attr(755,root,root)%{_bindir}/gmime-uudecode
%attr(755,root,root)%{_bindir}/gmime-uuencode

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog PORTING  README TODO
%multiarch %{multiarch_bindir}/gmime-config
%attr(755,root,root) %{_bindir}/gmime-config
%attr(755,root,root) %{_libdir}/lib*.a
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(644,root,root) %{_libdir}/pkgconfig/gmime-2.0.pc
%{_includedir}/*
%doc %{_gtkdocdir}/*

%files sharp
%defattr(-,root,root)
%doc README
%_prefix/lib/mono/gac/%name-sharp
%_prefix/lib/mono/%name-sharp
%_libdir/pkgconfig/%name-sharp.pc
%_datadir/gapi-2.0/gmime-api.xml




%changelog
* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.2.10-1mdv2008.0
+ Revision: 53771
- new version
- fix buildrequires

* Tue May 22 2007 Götz Waschk <waschk@mandriva.org> 2.2.9-1mdv2008.0
+ Revision: 29630
- new version
- drop build dep on libunicode-devel

* Fri Apr 27 2007 Götz Waschk <waschk@mandriva.org> 2.2.8-1mdv2008.0
+ Revision: 18481
- new version


* Wed Mar 28 2007 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2007.1
+ Revision: 149087
- new version
- enable checks
- Import gmime

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.0
- New release 2.2.3

* Tue Apr 18 2006 Gtz Waschk <waschk@mandriva.org> 2.2.1-1mdk
- add mono bindings
- new URL
- new version

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 2.1.19-1mdk
- New release 2.1.19

* Mon Jan 09 2006 Götz Waschk <waschk@mandriva.org> 2.1.17-1mdk
- New release 2.1.17
- use mkrel

* Fri Oct 07 2005 Götz Waschk <waschk@mandriva.org> 2.1.16-1mdk
- New release 2.1.16

* Wed Jul 13 2005 Gtz Waschk <waschk@mandriva.org> 2.1.15-1mdk
- enable gtk-doc
- New release 2.1.15

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 2.1.14-2mdk
- add provides to the lib package

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.14-1mdk
- New release 2.1.14

* Fri Feb 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.11-2mdk 
- Fix gtk-doc localisation
- multiarch

* Thu Feb 17 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.11-1mdk
- New release 2.1.11

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.1.10-1mdk
- disable mono
- New release 2.1.10

* Tue Nov 09 2004 Jerome Soyer <saispo@mandrake.org> 2.1.9-1mdk
- 2.1.9

* Mon Aug 02 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1.7-2mdk
- add BuildRequires: libz-devel
- remove BuildRequires: libtool (required by rpmbuild)

* Wed Jul 21 2004 Pascal Terjan <pterjan@mandrake.org> 2.1.7-1mdk
- 2.1.7

* Mon May 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.5-1mdk
- 2.1.5
- merge the static-devel sub package into the devel sub package
- fix deps

